/* MainWindowController */

#import <Cocoa/Cocoa.h>
#import "IPapersSplitView.h"
#import "SourceController.h"
#import "PreferencePanelController.h"

@interface MainWindowController : NSObject
{
    IBOutlet NSBox *leftBox;
    IBOutlet NSBox *rightBox;
	IBOutlet IPapersSplitView*	_mainSplitView;
	IBOutlet NSDrawer* drawer;
	IBOutlet NSSearchField* searchField;
		
	SourceController* _sourceController;
	PreferencePanelController* _preferencePanelController;
}
- (BOOL)createFolder:(NSString*)creatingPath;
- (void)setUserDefaults;
- (void)loadAllPlugins;

- (IBAction)toggleDrawer:(id)sender;
- (IBAction)openPreferencePanel:(id)sender;

- (IBAction)newSmartFavorite:(id)sender;
- (IBAction)newSmartFavorite:(id)sender;

- (IBAction)exportAsCSV:(id)sender;
- (IBAction)exportAsEndNoteText:(id)sender;
- (IBAction)exportAsBibTeX:(id)sender;
- (IBAction)exportAsTheVancouverStyle:(id)sender;

- (IBAction)search:(id)sender;

+ (NSMutableDictionary*)searchplugins;
+ (NSMutableDictionary*)fetchinfoplugins;
+ (NSMutableDictionary*)pdflinkplugins;

@end
